<?php
define('WP_INSTALLING', true);

require_once('../wp-includes/compat.php');
require_once('../wp-includes/functions.php');
require_once('../wp-includes/classes.php');

if (!file_exists('../wp-config-sample.php'))
	wp_die('Lai sagatavotu konfigurācijas datni, nepieciešama wp-config-sample.php datne, kuru šobrīd neizdodas atrast. Lūdzu, augšupielādējiet šo datni uz servera.');

$configFile = file('../wp-config-sample.php');

if ( !is_writable('../')) 
	wp_die("Diemžēl neizdodas saglabāt konfigurācijas datni. Vai nu pamēģiniet izmainīt attiecīgas direktorijas pieejas tiesības, vai sagatavojiet wp-config.php datni manuāli.");

// Check if wp-config.php has been created
if (file_exists('../wp-config.php'))
	wp_die("<p>Datne 'wp-config.php' ja eksistē. Ja vēlaties mainīt kādus uzstādījumus, izmantojot šo formu, vispirms izdzēsiet datni un <a href='install.php'>mēģiniet vēlreiz</a>.</p>");

if (isset($_GET['step']))
	$step = $_GET['step'];
else
	$step = 0;

function display_header(){
	header( 'Content-Type: text/html; charset=utf-8' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>WordPress &rsaquo; Konfigurācijas datnes sagatavošana</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<style media="screen" type="text/css">
	<!--
	html {
		background: #eee;
	}
	body {
		background: #fff;
		color: #000;
		font-family: Georgia, "Times New Roman", Times, serif;
		margin-left: 20%;
		margin-right: 20%;
		padding: .2em 2em;
	}

	h1 {
		color: #006;
		font-size: 18px;
		font-weight: lighter;
	}

	h2 {
		font-size: 16px;
	}

	p, li, dt {
		line-height: 140%;
		padding-bottom: 2px;
	}

	ul, ol {
		padding: 5px 5px 5px 20px;
	}
	#logo {
		margin-bottom: 2em;
	}
	.step a, .step input {
		font-size: 2em;
	}
	td input {
		font-size: 1.5em;
	}
	.step, th {
		text-align: right;
	}
	#footer {
		text-align: center;
		border-top: 1px solid #ccc;
		padding-top: 1em;
		font-style: italic;
	}
	-->
	</style>
</head>
<body>
<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
<?php
}//end function display_header();

switch($step) {
	case 0:
		display_header();
?>

<p>Lai sagatavotu konfigurācijas datni, mums jāzina šis un tas par datubāzi. Pārliecinieties, ka jūsu rīcībā
ir šāda informācija:</p>

<ol>
	<li>datubāzes nosaukums</li>
	<li>datubāzes lietotāja vārds</li>
	<li>datubāzes lietotāja parole</li>
	<li>datubāzes hosts</li>
	<li>tabulu nosaukumu priedēklis (ja mitināsiet vairāk kā vienu WordPress vienā datubāzē) </li>
</ol>

<p><strong>Uzmanību!</strong> Ja kaut kādu iemeslu dēļ automātiskā konfigurācijas datnes sagatavošana nenostrādās, datni varēsiet sagatavot manuāli. Atveriet teksta redaktorā datni <code>wp-config-sample.php</code>, aizpildiet to atbilstoši datubāzes uzstādījumiem un pāglabājiet kā <code>wp-config.php</code>. </strong></p>

<p>Ja nezināt datubāzes uzstādījumus, tos vajadzētu zināt servera administratorei.</p>

<p>Kad esam gatavi, <a href="setup-config.php?step=1">dodamies tālāk &raquo;</a></p>
<?php
	break;

	case 1:
		display_header();
	?>
</p>
<form method="post" action="setup-config.php?step=2">
	<p>Zemāk, lūdzu, ievadiet prasītos datubāzes uzstādījumus:</p>
	<table>
		<tr>
			<th scope="row">Datubāze:</th>
			<td><input name="dbname" type="text" size="25" value="wordpress" /></td>
			<td>Nosaukums datubāzei, kurā glabāsim WordPress rakstus. </td>
		</tr>
		<tr>
			<th scope="row">Lietotājvārds:</th>
			<td><input name="uname" type="text" size="25" value="lietotajvards" /></td>
			<td>MySQL datubāzes lietotāja vārds</td>
		</tr>
		<tr>
			<th scope="row">Parole:</th>
			<td><input name="pwd" type="text" size="25" value="parole" /></td>
			<td>... un parole</td>
		</tr>
		<tr>
			<th scope="row">Hosts:</th>
			<td><input name="dbhost" type="text" size="25" value="localhost" /></td>
			<td>Vairumā gadījumā tas ir &bdquo;localhost&rdquo;.</td>
		</tr>
		<tr>
			<th scope="row">Priedēklis:</th>
			<td><input name="prefix" type="text" id="prefix" value="wp_" size="25" /></td>
			<td>Ja vēlaties vairākas WordPress installācijas glabāt vienā datubāzē, izmainiet noklusēto datubāzes tabulu nosaukumu priedēkli.</td>
		</tr>
	</table>
	<h2 class="step">
	<input name="submit" type="submit" value="Saglabāt uzstādījumus" />
	</h2>
</form>
<?php
	break;

	case 2:
	$dbname  = trim($_POST['dbname']);
	$uname   = trim($_POST['uname']);
	$passwrd = trim($_POST['pwd']);
	$dbhost  = trim($_POST['dbhost']);
	$prefix  = trim($_POST['prefix']);
	if (empty($prefix)) $prefix = 'wp_';

	// Test the db connection.
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);

	// We'll fail here if the values are no good.
	require_once('../wp-includes/wp-db.php');
	if ( !empty($wpdb->error) )
		wp_die($wpdb->error->get_error_message());

	$handle = fopen('../wp-config.php', 'w');

	foreach ($configFile as $line_num => $line) {
		switch (substr($line,0,16)) {
			case "define('DB_NAME'":
				fwrite($handle, str_replace("putyourdbnamehere", $dbname, $line));
				break;
			case "define('DB_USER'":
				fwrite($handle, str_replace("'usernamehere'", "'$uname'", $line));
				break;
			case "define('DB_PASSW":
				fwrite($handle, str_replace("'yourpasswordhere'", "'$passwrd'", $line));
				break;
			case "define('DB_HOST'":
				fwrite($handle, str_replace("localhost", $dbhost, $line));
				break;
			case '$table_prefix  =':
				fwrite($handle, str_replace('wp_', $prefix, $line));
				break;
			default:
				fwrite($handle, $line);
		}
	}
	fclose($handle);
	chmod('../wp-config.php', 0666);
	
	display_header();
?>
<p>Lieliski! Konfigurācijas informācija ir saglabāta. WordPress tagad var mēģināt sazināties ar datubāzi. <a href="install.php">Dodamies tālāk &raquo;</a></p>
<?php
	break;
}
?>
<p id="footer">Šo vietni darbina blogu dzinējs <a href="http://wordpress.org/">WordPress</a></p>
</body>
</html>
